org.apache.ignite.internal.util.ipc

## Class IpcEndpointBindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.util.ipc.IpcEndpointBindException

All Implemented Interfaces:
  Serializable

    public class IpcEndpointBindException
    extends IgniteCheckedException

Represents exception occurred during IPC endpoint binding.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IpcEndpointBindException(String msg)` Constructor.
`IpcEndpointBindException(String msg, Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcEndpointBindException

    public IpcEndpointBindException(String msg)

Constructor.

Parameters:
  `msg` - Message.

#### IpcEndpointBindException

    public IpcEndpointBindException(String msg,
                                    Throwable cause)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018